function Socket_h(h)
{
	this.handle = h;

	this.Receive = function()
	{
		return fsSocket_Receive(this.handle);
	}

	this.Send = function(value)
	{
		return fsSocket_Send(this.handle, value);
	}

	this.IsConnected = function()
	{
		return fsSocket_IsConnected(this.handle);
	}

	this.Delete = function()
	{
		return fsSocket_Delete(this.handle);
	}

}
function Socket(address, port)
{
	return new Socket_h(fsSocket_Create(address, port));
}
